{% extends 'partials/base.html.twig' %}
{% block content %}
<div class="content bg-bright">
		{% if config.plugins.breadcrumbs.enabled %}
			<div class="sg-breadcrumb">
				<div class="row">
					{% include 'partials/breadcrumbs.html.twig' %}
				</div>
			</div>
		{% endif %}
		<div class="row">

			{% set taxname = uri.query('name') %}
			{% set taxval = uri.query('val') %}

			{% if taxname %}
				{% if taxname == 'category' %}
					{% if taxval %}
						<section class="topiclist">
							<h2>Category: {{ taxval }}</h2>
							{% include 'partials/topiclist.html.twig' with {'articles': taxonomy.findTaxonomy({(taxname): taxval})} %}
						</section>
					{% else %}
						<section>
							<h2>Categories</h2>
							<ul>
							{% for cat in taxonomy.taxonomy["category"]|keys|sort %}
								<li><a href="{{ base_url }}/find?name=category&amp;val={{ cat|url_encode }}">{{ cat }}</a></li>
							{% endfor %}
							</ul>
						</section>
					{% endif %}
				{% elseif taxname == 'tag' %}
					{% if taxval %}
						<section class="topiclist">
							<h2>Tag: {{ taxval }}</h2>
							{% include 'partials/topiclist.html.twig' with {'articles': taxonomy.findTaxonomy({(taxname): taxval})} %}
						</section>
					{% else %}
						<section>
							<h2>Tags</h2>
							<ul>
							{% for tag in taxonomy.taxonomy["tag"]|keys|sort %}
								<li><a href="{{ base_url }}/find?name=tag&amp;val={{ tag|url_encode }}">{{ tag }}</a></li>
							{% endfor %}
							</ul>
					{% endif %}
				{% elseif taxname == 'author' %}
					{% if taxval %}
						<section class="topiclist">
							<h2>Author: {{ taxval }}</h2>
							{% include 'partials/topiclist.html.twig' with {'articles': taxonomy.findTaxonomy({(taxname): taxval})} %}
						</section>
					{% else %}
						<section>
							<h2>Authors</h2>
							<ul>
							{% for author in taxonomy.taxonomy["author"]|keys|sort %}
								{# Check to see if a dedicated author page exists #}
								{% set slug = author|hyphenize|url_encode %}
								{% set p = page.find('/authors/'~slug) %}
								{% if p == null %}
									<li>{{ author }}</li>
								{% else %}
									<li>{{ author }}</li>
								{% endif %}
							{% endfor %}
							</ul>
					{% endif %}
				{% endif %}
			{% else %}
				<section>
					<h2>Find...</h2>
					<ul>
						<li><a href="{{ page.url }}?name=category">Categories</a></li>
						<li><a href="{{ page.url }}?name=tag">Tags</a></li>
						<li><a href="{{ page.url }}?name=author">Authors</a></li>
					</ul>
				</section>
			{% endif %}

		</div>
</div>
{% endblock %}